Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4.utils
Class M4InfoEntry

    java.lang.Object
      edu.udo.cs.miningmart.m4.utils.M4InfoEntry

    public class M4InfoEntry

extends java.lang.Object

Version:
  $Id: M4InfoEntry.java,v 1.5 2006/09/27 14:59:55 euler Exp $
Author:
  Martin Scholz

Constructor Summary
`M4InfoEntry(java.lang.String dbAttribute, java.lang.String getter, java.lang.String setter, java.lang.Class objectClass)`
`M4InfoEntry(java.lang.String dbAttribute, java.lang.String getter, java.lang.String setter, java.lang.Class objectClass, java.lang.String constraint)`

Method Summary
`void` | `activateSetter(M4Data m4d, java.sql.ResultSet rs, DB db)`
`java.lang.String` | `getDbAttribute()` Gets the dbAttribute.
`java.lang.String` | `getGetter()` Gets the getter.
`java.lang.String` | `getSetter()` Gets the setter.
`java.lang.Class` | `getTheObjectClass()` Gets the theObjectClass.
`boolean` | `isNotNull()` Gets the `NOT NULL` property

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### M4InfoEntry

    public M4InfoEntry(java.lang.String dbAttribute,
                       java.lang.String getter,
                       java.lang.String setter,
                       java.lang.Class objectClass)

Parameters:
  `dbAttribute` - the name of the attribute in the database
  `getter` - the name of the getter for the attribute
  `setter` - the name of the setter for the attribute
  `objectClass` - the class of the object returned by the getter and expected by the setter

### M4InfoEntry

    public M4InfoEntry(java.lang.String dbAttribute,
                       java.lang.String getter,
                       java.lang.String setter,
                       java.lang.Class objectClass,
                       java.lang.String constraint)

Parameters:
  `dbAttribute` - the name of the attribute in the database
  `getter` - the name of the getter for the attribute
  `setter` - the name of the setter for the attribute
  `objectClass` - the class of the object returned by the getter and expected by the setter
  `constraint` - a `String` constant defined in the `M4Table` interface specifying the constraints of the attribute

Method Detail

### getDbAttribute

    public java.lang.String getDbAttribute()

  Gets the dbAttribute.

  Returns:
    Returns a String

### getGetter

    public java.lang.String getGetter()

  Gets the getter.

  Returns:
    Returns a String

### getSetter

    public java.lang.String getSetter()

  Gets the setter.

  Returns:
    Returns a String

### getTheObjectClass

    public java.lang.Class getTheObjectClass()

  Gets the theObjectClass.

  Returns:
    Returns a Class

### activateSetter

    public void activateSetter(M4Data m4d,
                               java.sql.ResultSet rs,
                               DB db)
                        throws java.sql.SQLException,
                               M4Exception

  Throws:
    `java.sql.SQLException`
    `M4Exception`

### isNotNull

    public boolean isNotNull()

  Gets the `NOT NULL` property

  Returns:
    Returns `true` iff this attribute is not allowed to be `null` in the database

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005